Project

General

Profile

Actions

Bug #3780

closed

Base64 entries are not supported by the migration script for 2.6 concerning the unescaping of directive contents

Added by Matthieu CERDA over 9 years ago. Updated almost 8 years ago.

Status:
Released
Priority:
1
Assignee:
Matthieu CERDA
Category:
Packaging
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
Regression:

Description

The migration script for 2.6 concerning the unescaping of directive contents does not support base64 entries, thus it skips some variables, and breaks them.

We should also support base64 entries in it !!!

This prevents the 2.6 version to reach the "stable" status and should be corrected ASAP.

Actions #1

Updated by Matthieu CERDA over 9 years ago

  • Status changed from New to Pending technical review
  • Assignee set to Matthieu CERDA
  • Priority changed from N/A to 1
  • % Done changed from 0 to 100
  • Pull Request set to https://github.com/Normation/rudder-packages/pull/87
Actions #2

Updated by Matthieu CERDA over 9 years ago

  • Status changed from Pending technical review to Pending release

Applied in changeset commit:9f25e780fe89b519a4fc686c1593fa20c53884b7.

Actions #3

Updated by Jonathan CLARKE over 9 years ago

Applied in changeset commit:f5e46aff20dacc0358a52bf9f8b1a6b232879de3.

Actions #4

Updated by Nicolas PERRON over 9 years ago

  • Subject changed from The migration script for 2.6 concerning the unescaping of directive contents does not support base64 entries to Base64 entries are not supported by the migration script for 2.6 concerning the unescaping of directive contents
Actions #5

Updated by Nicolas PERRON over 9 years ago

  • Status changed from Pending release to Released
Actions #6

Updated by Nicolas PERRON over 9 years ago

This bug has been fixed in Rudder 2.6.3, which was released today.
Check out:

Actions #7

Updated by Benoît PECCATTE almost 8 years ago

  • Project changed from 34 to Rudder
  • Category set to Packaging
Actions

Also available in: Atom PDF